org.jgroups.auth

## Class FixedMembershipToken

- java.lang.Object
- - org.jgroups.auth.AuthToken
  - - org.jgroups.auth.FixedMembershipToken

All Implemented Interfaces:
  java.io.Serializable, Streamable

    public class FixedMembershipToken
    extends AuthToken

The FixedMemberShipToken object predefines a list of IP addresses and ports that can join the group.

Configuration parameters for this example are shown below:

- fixed_members_value (required) = List of IP addresses & ports (optionally) - ports must be seperated by a '/' e.g. 127.0.0.1/1010*127.0.0.1/4567
- fixed_members_seperator (required) = The seperator used between IP addresses - e.g. *

Author:
  Chris Mills (millsy@jboss.com)
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.jgroups.auth.AuthToken

`auth, log`

### Constructor Summary

Constructors
Constructor and Description
`FixedMembershipToken()`

### Method Summary

Methods
`boolean` `authenticate(AuthToken token, Message msg)` This method should be implemented to perform the actual authentication of joining members.
`java.lang.String` `getName()` Used to return the full package and class name of the implementation.
`void` `readFrom(java.io.DataInputStream in)` Required to deserialize the object when read in from the wire
`void` `setFixedMembersSeparator(java.lang.String value)`
`void` `setMemberList(java.lang.String list)`
`void` `writeTo(java.io.DataOutputStream out)` Required to serialize the object to pass across the wire

### Methods inherited from class org.jgroups.auth.AuthToken

`init, setAuth`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedMembershipToken

    public FixedMembershipToken()

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from class: `AuthToken`
Used to return the full package and class name of the implementation. This is used by the AUTH protocol to create an instance of the implementation.

Specified by:
  `getName` in class `AuthToken`
Returns:
  a java.lang.String object of the package and class name

#### setFixedMembersSeparator

    public void setFixedMembersSeparator(java.lang.String value)

#### authenticate

    public boolean authenticate(AuthToken token,
                       Message msg)

Description copied from class: `AuthToken`
This method should be implemented to perform the actual authentication of joining members.

Specified by:
  `authenticate` in class `AuthToken`
Parameters:
  `token` - the token sent by the joiner
  `msg` - the Message object containing the actual JOIN_REQ
Returns:
  true if authenticaion passed or false if it failed.

#### setMemberList

    public void setMemberList(java.lang.String list)

#### writeTo

    public void writeTo(java.io.DataOutputStream out)
                 throws java.io.IOException

Required to serialize the object to pass across the wire

Parameters:
  `out` -
Throws:
  `java.io.IOException`

#### readFrom

    public void readFrom(java.io.DataInputStream in)
                  throws java.io.IOException,
                         java.lang.IllegalAccessException,
                         java.lang.InstantiationException

Required to deserialize the object when read in from the wire

Parameters:
  `in` -
Throws:
  `java.io.IOException`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`